import { DataRow } from "../api/DataRow";
import style from './Posts.module.scss';
import { Post } from "./display/Post";

export type PostsProps = { rows: DataRow[] };

export function Posts({ rows }: PostsProps) {
    return (
        <div className={style.posts}>
            { rows.map(row => <Post row={row} />) }
        </div>
    );
}