import { DataRow } from "../../api/DataRow";
import style from './Post.module.scss';

export type PostProps = { row: DataRow };
export function Post({ row }: PostProps) {
    return (
        <div id={`post-${row.id}`} className={style.post}>
            <pre>{row.data}</pre>
        </div>
    )
}